Subject: [Sip] WGLC on draft-ietf-sip-location-conveyance

From: "Drage, Keith \(Keith\)" <[email-masked]>
Date: Sun, 4 Mar 2007 20:35:10 +0100

(As WG chair)

This is to announce a working group last call of 

http://www.ietf.org/internet-drafts/draft-ietf-sip-location-conveyance-07.txt

Due to the presence of IETF#68 in Prague, this is an extended last call (for four weeks), and comments should be provided by start of business on Monday 2nd April 2007.

However if you think there are significant technical issues that should be raised in IETF#68, please review the document well before that time to make your comment to the list, so that such discussion in the IETF meeting can occur.

Please provide all comments to the SIP mailing list, and also to the document authors listed (and mailing addresses) listed at the end of the document. For each comment, it is ideal to provide the copy the specific part of the text the comment is against, in order to provide context of the comment, as well as identifying the section/page and the comment itself. 

Please also clearly indicate whether the comment is editorial/technical, and if technical the degree of the comment, e.g. minor, major flaw, wrong solution, or whatever. This helps in assessing the order in which comments get addressed when they are reviewed.

In parallel with WGLC, a review team has also been set up to review the document, and this review team will review at least the significant comments for implementation. I will be addressing them in a separate mail.

As the document is a location supporting protocol, the document will also be reviewed by the GEOPRIV group. However it is appropriate for all readers to review the document against the GEOPRIV requirements for such protocols, which may be found in RFC 3963.

The above document however does not cover location by reference. There is a preliminary set or requirements in 

http://www.ietf.org/internet-drafts/draft-marshall-geopriv-lbyr-requirements-00.txt

For which we would like to align with whatever that document develops into. Therefore it is appropriate to review against this document, and identify differences. These could either be taken as comments against the draft-ietf-sip-location-conveyance, or against the location by reference requirements.

Regards

Keith

Keith Drage
+44 1793 776249
[email-masked]

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Thomson, Martin" <[email-masked]>
Date: Sun, 4 Mar 2007 18:35:26 -0600

Editorial, Minor:  3.4 & 9.4:  Warnings refer to unsupported "schema".  This should be "scheme" [RFC3986].

Technical, Minor:  4.1 & 4.2:  The example PIDF-LO documents have a few errors.  Refer to draft-ietf-geopriv-pdif-lo-profile.  Continued...

4.1 & 4.2: Remove the xmlns:gs attribute, it isn't used.

4.1: This Point format is deprecated (for a number of reasons).  Recommend the following form:
  <gp:location-info>
    <gml:Point srsName="urn:ogc:def:crs:EPSG::4326">
      <gml:pos>33.001111 -96.68142</gml:pos>
    </gml:Point>
  </gp:location-info>

4.1 & 4.2: The "method" and "provided-by" elements are in the wrong context.  An unfortunate consequence of the structure of the RFC 4119 schema is that the "usage-rules" will accept any old junk provided that it is in the "...:geopriv10" namespace.  Therefore, the given documents validate, even if they aren't correct.  Most likely those elements would be ignored by some UASs.
  Place the method and provided-by elements _after_ the usage-rules.

4.1 & 4.2: The content model for the "provided-by" element does not permit text.  It only permits element content.  <gp:provided-by>www.cisco.com</gp:provided-by> is not valid.

4.2: The "civilAddress" element should be replaced by a "civicAddress" (note the 'l' is replaced by 'c').

Editorial, Major:  *:  I'd like to see the new 'routing-query-allowed' defined in schema and in one of the examples (preferably the unencrypted one, since the proxy is unlikely to be able to see the encrypted LO).  (Incidentally, is this parameter an extension, or is the intent to update RFC 4119?)

Technical, Minor:  3.4.12:  Note that providing a reference of this nature (which would allow for a dereference operation that does not use TLS) could constitute a potential privacy leak.  UAs should only respect this request in an emergency.

Regards,
Martin

> -----Original Message-----
> From: Drage, Keith (Keith) [mailto:[email-masked]]
> Sent: Monday, 5 March 2007 6:35 AM
> To: [email-masked]
> Cc: [email-masked]; [email-masked];
> [email-masked]
> Subject: [Sip] WGLC on draft-ietf-sip-location-conveyance
> 
> (As WG chair)
> 
> Due to the presence of IETF#68 in Prague, this is an extended last call
> (for four weeks), and comments should be provided by start of business on
> Monday 2nd April 2007.
> 
> However if you think there are significant technical issues that should be
> raised in IETF#68, please review the document well before that time to
> make your comment to the list, so that such discussion in the IETF meeting
> can occur.
> 
> Please provide all comments to the SIP mailing list, and also to the
> document authors listed (and mailing addresses) listed at the end of the
> document. For each comment, it is ideal to provide the copy the specific
> part of the text the comment is against, in order to provide context of
> the comment, as well as identifying the section/page and the comment
> itself.
> 
> Please also clearly indicate whether the comment is editorial/technical,
> and if technical the degree of the comment, e.g. minor, major flaw, wrong
> solution, or whatever. This helps in assessing the order in which comments
> get addressed when they are reviewed.
> 
> In parallel with WGLC, a review team has also been set up to review the
> document, and this review team will review at least the significant
> comments for implementation. I will be addressing them in a separate mail.
> 
> As the document is a location supporting protocol, the document will also
> be reviewed by the GEOPRIV group. However it is appropriate for all
> readers to review the document against the GEOPRIV requirements for such
> protocols, which may be found in RFC 3963.
> 
> For which we would like to align with whatever that document develops
> into. Therefore it is appropriate to review against this document, and
> identify differences. These could either be taken as comments against the
> draft-ietf-sip-location-conveyance, or against the location by reference
> requirements.
> 
> 
> Regards
> 
> Keith
> 
> Keith Drage
> +44 1793 776249
> [email-masked]

------------------------------------------------------------------------------------------------
This message is for the designated recipient only and may
contain privileged, proprietary, or otherwise private information.  
If you have received it in error, please notify the sender
immediately and delete the original.  Any unauthorized use of
this email is prohibited.
------------------------------------------------------------------------------------------------
[mf2]
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Drage, Keith \(Keith\)" <[email-masked]>
Date: Mon, 12 Mar 2007 11:50:52 +0100

(As WG chair)

A reminder that we are now 1 week into this WGLC.

Final deadline is 2nd April, but if there are significant issues that apparently require discussion in Prague, it would be good to raise them in time to do that.

My thanks to the people who have posted comments so far.

Regards

Keith 

> Sent: Sunday, March 04, 2007 7:35 PM
> To: [email-masked]
> Due to the presence of IETF#68 in Prague, this is an extended 
> last call (for four weeks), and comments should be provided 
> by start of business on Monday 2nd April 2007.
> 
> However if you think there are significant technical issues 
> that should be raised in IETF#68, please review the document 
> well before that time to make your comment to the list, so 
> that such discussion in the IETF meeting can occur.
> 
> Please provide all comments to the SIP mailing list, and also 
> to the document authors listed (and mailing addresses) listed 
> at the end of the document. For each comment, it is ideal to 
> provide the copy the specific part of the text the comment is 
> against, in order to provide context of the comment, as well 
> as identifying the section/page and the comment itself. 
> 
> Please also clearly indicate whether the comment is 
> editorial/technical, and if technical the degree of the 
> comment, e.g. minor, major flaw, wrong solution, or whatever. 
> This helps in assessing the order in which comments get 
> addressed when they are reviewed.
> 
> In parallel with WGLC, a review team has also been set up to 
> review the document, and this review team will review at 
> least the significant comments for implementation. I will be 
> addressing them in a separate mail.
> 
> As the document is a location supporting protocol, the 
> document will also be reviewed by the GEOPRIV group. However 
> it is appropriate for all readers to review the document 
> against the GEOPRIV requirements for such protocols, which 
> may be found in RFC 3963.
> 
> The above document however does not cover location by 
> reference. There is a preliminary set or requirements in 
> 
> For which we would like to align with whatever that document 
> develops into. Therefore it is appropriate to review against 
> this document, and identify differences. These could either 
> be taken as comments against the 
> draft-ietf-sip-location-conveyance, or against the location 
> by reference requirements.
> 
> 
> Regards
> 
> Keith
> 
> Keith Drage
> +44 1793 776249
> [email-masked]
> 
>

---

From: "Drage, Keith \(Keith\)" <[email-masked]>
Date: Sat, 24 Mar 2007 23:19:43 +0100

(As WG chair)

A reminder that you as the working group only have until April 2nd to review this document and submit comments on it.

Please read and review it and follow the instructions below.

Regards

Keith